body {
    font-family: "DM Sans", sans-serif !important;
}

#contact-bg {
    position: relative;
    background-image: url('../img/hero-section-banner.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#contact-bg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.671);
    z-index: 1;
}

.hero-title {
    font-size: 50px;
    line-height: 1.2;
    font-weight: 600;
    color: #fff;
    z-index: 2;
    position: relative;
}

#contact-background {
    margin-top: 60px;
    margin-bottom: 60px;
}

.prelements-heading .title-inner {
    position: relative;
}

.prelements-heading .title-inner .title {
    font-size: 36px;
    font-weight: 500;
    line-height: 30px;
    color: #02010126;
    margin: 0px 0px 0px 0px !important;
    padding: 0px 0px 0px 0px !important;
    writing-mode: sideways-lr;
}

#contact-details {
    background-color: #0E0E0E;
    border-style: solid;
    border-width: 0px 0px 0px 4px;
    border-left-width: 4px;
    border-color: #f47720;
}

.details {
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: #303030;
    padding: 44px 30px 44px 30px;
}

.details2 {
    padding: 44px 30px 44px 30px;
}

.rs-contact-box .address-item {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: flex-start;
}

.rs-contact-box .address-item .address-icon {
    background-color: #0e0e0e;
    width: 70px;
    min-width: 70px;
    max-width: 70px;
    height: 70px;
    line-height: 65px !important;
    text-align: center;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.05);
    margin: 0px 25px 0px 0px;
}

.rs-contact-box .address-item .address-icon svg {
    width: 40px;
    height: 40px;
}

.rs-contact-box .address-item .address-text span.label {
    font-family: "DM Sans", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    text-transform: uppercase;
    color: #FFFFFFC2;
    margin: 0px 0px 10px 0px;
    margin-bottom: 15px;
}

.rs-contact-box .address-item .address-text div > a {
    color: #FFFFFF;
    font-size: 20px;
    font-weight: 500;
    transition: .5s;
}

.rs-contact-box .address-item .address-text div > a:hover {
    color: #f47720;
}

.contact-form {
    padding: 0 50px;
}

.form-title {
    font-size: 36px;
    line-height: 30px;
    font-weight: 600;
    color: #000;
}

#message {
    height: 120px;
}

.contact-btn {
    background-color: #000;
    color: #fff;
    border: none;
    padding: 10px 30px;
    border-radius: 50px;
    transition: .5s;
}

.contact-btn:hover {
    background-color: #f47720;
    color: #fff;
}

#scrollToTopBtn {
    display: none; /* ✅ This hides the button initially */
    position: fixed;
    bottom: 23px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #000;
    color: #fff;
    cursor: pointer;
    padding: 12px 19px;
    transition: opacity 0.4s ease, transform 0.3s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

#scrollToTopBtn:hover {
    background-color: #f47720;
}

@media (max-width: 1024px) and (min-width: 768px) {
    /* .details {
        width: 48%;
    } */

    .form-title {
        margin-top: 50px;
        line-height: 45px;
    }

    #social-right {
        justify-content: center !important;
        margin-top: 0px !important;
    }
}

@media screen and (max-width: 520px) {
    #contact-bg {
        height: 200px;
    }

    .hero-title {
        font-size: 40px;
    }
    
    .contact-form {
        padding: 0 0px;
    }

    .form-title {
        margin-top: 50px;
        margin-bottom: 10px !important;
        font-size: 23px;
    }

    .details, .details2 {
        padding: 44px 12px 44px 0px;
    }

    .prelements-heading .title-inner .title {
        display: none;
    }

    #social-right {
        justify-content: center !important;
        margin-top: 0px !important;
    }
}